package com.bonus.zlpt.home.service.impl;

import com.bonus.zlpt.home.mapper.BmCarouselSetMapper;
import com.bonus.zlpt.home.pojo.BmCarouselDto;
import com.bonus.zlpt.home.pojo.BmCarouselSet;
import com.bonus.zlpt.home.service.BmCarouselSetService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 轮播图配置(BmCarouselSet)表服务实现类
 *
 * @author makejava
 * @since 2023-12-03 15:24:19
 */
@Service("bmCarouselSetService")
public class BmCarouselSetServiceImpl implements BmCarouselSetService {

    @Resource
    private BmCarouselSetMapper bmCarouselSetMapper;

    /**
     * 获取轮播图列表
     * @param
     * @return
     */
    @Override
    public List<BmCarouselSet> selectBmCarouseList(BmCarouselDto bmCarouselDto) {
        return bmCarouselSetMapper.selectBmCarouseList(bmCarouselDto);
    }

    /**
     * 新增轮播图信息
     * @param bmCarouselSet
     * @return
     */
    @Override
    public int insertConfig(BmCarouselSet bmCarouselSet) {
        return bmCarouselSetMapper.insertConfig(bmCarouselSet);
    }

    /**
     * 根据id查询轮播图信息
     * @param id
     * @return
     */
    @Override
    public BmCarouselSet selectListById(int id) {
        return bmCarouselSetMapper.selectListById(id);
    }

    /**
     * 编辑轮播图信息
     * @param bmCarouselSet
     * @return
     */
    @Override
    public int update(BmCarouselSet bmCarouselSet) {
        return bmCarouselSetMapper.update(bmCarouselSet);
    }

    /**
     * 删除轮播图信息
     * @param id
     * @return
     */
    @Override
    public int deleteById(String id) {
        return bmCarouselSetMapper.deleteById(id);
    }
}

